<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>write_dr &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>write_dr
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.0% of total for procedures.">8 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/stringmod.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/stringmod.f03.html'>stringmod.f03</a></li>
    
     <li><a href='../module/strings.html'>strings</a></li>
    
  
     <li class="active">write_dr</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
private subroutine write_dr(rnum, str, fmt)
    
    
   
</h2>
    
  


    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-rnum%7E3"></span>real(kind=kr8)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>rnum</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-str%7E19"></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>str</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-fmt%7E6"></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>fmt</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~write_dr~~CalledByGraph Pages: 1 -->
<svg id="procwrite_drCalledByGraph" width="337pt" height="158pt"
 viewBox="0.00 0.00 337.00 158.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~write_dr~~CalledByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 154)">
<title>proc~~write_dr~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-154 333,-154 333,4 -4,4"/>
<!-- proc~write_dr -->
<g id="proc~~write_dr~~CalledByGraph_node1" class="node">
<title>proc~write_dr</title>
<polygon fill="none" stroke="#000000" points="329,-87 275,-87 275,-63 329,-63 329,-87"/>
<text text-anchor="middle" x="302" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">write_dr</text>
</g>
<!-- interface~writenum -->
<g id="proc~~write_dr~~CalledByGraph_node2" class="node">
<title>interface~writenum</title>
<g id="a_proc~~write_dr~~CalledByGraph_node2"><a xlink:href=".././interface/writenum.html" xlink:title="writenum">
<polygon fill="#a7506f" stroke="#a7506f" points="239,-87 183,-87 183,-63 239,-63 239,-87"/>
<text text-anchor="middle" x="211" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">writenum</text>
</a>
</g>
</g>
<!-- interface~writenum&#45;&gt;proc~write_dr -->
<g id="proc~~write_dr~~CalledByGraph_edge1" class="edge">
<title>interface~writenum&#45;&gt;proc~write_dr</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M239.2941,-75C247.3803,-75 256.3168,-75 264.8479,-75"/>
<polygon fill="#000000" stroke="#000000" points="264.9684,-78.5001 274.9684,-75 264.9683,-71.5001 264.9684,-78.5001"/>
</g>
<!-- proc~writeq_sr -->
<g id="proc~~write_dr~~CalledByGraph_node3" class="node">
<title>proc~writeq_sr</title>
<g id="a_proc~~write_dr~~CalledByGraph_node3"><a xlink:href=".././proc/writeq_sr.html" xlink:title="writeq_sr">
<polygon fill="#d9534f" stroke="#d9534f" points="146.5,-150 90.5,-150 90.5,-126 146.5,-126 146.5,-150"/>
<text text-anchor="middle" x="118.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">writeq_sr</text>
</a>
</g>
</g>
<!-- proc~writeq_sr&#45;&gt;interface~writenum -->
<g id="proc~~write_dr~~CalledByGraph_edge2" class="edge">
<title>proc~writeq_sr&#45;&gt;interface~writenum</title>
<path fill="none" stroke="#000000" d="M136.3349,-125.853C150.0273,-116.5274 169.1446,-103.5069 184.6069,-92.9759"/>
<polygon fill="#000000" stroke="#000000" points="186.9249,-95.6318 193.2198,-87.1097 182.9845,-89.8462 186.9249,-95.6318"/>
</g>
<!-- proc~writeq_di -->
<g id="proc~~write_dr~~CalledByGraph_node4" class="node">
<title>proc~writeq_di</title>
<g id="a_proc~~write_dr~~CalledByGraph_node4"><a xlink:href=".././proc/writeq_di.html" xlink:title="writeq_di">
<polygon fill="#d9534f" stroke="#d9534f" points="146,-108 91,-108 91,-84 146,-84 146,-108"/>
<text text-anchor="middle" x="118.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">writeq_di</text>
</a>
</g>
</g>
<!-- proc~writeq_di&#45;&gt;interface~writenum -->
<g id="proc~~write_dr~~CalledByGraph_edge3" class="edge">
<title>proc~writeq_di&#45;&gt;interface~writenum</title>
<path fill="none" stroke="#000000" d="M146.0026,-89.7562C154.4377,-87.8412 163.8742,-85.6988 172.8853,-83.6531"/>
<polygon fill="#000000" stroke="#000000" points="173.8254,-87.0288 182.8024,-81.4016 172.2756,-80.2025 173.8254,-87.0288"/>
</g>
<!-- proc~writeq_dr -->
<g id="proc~~write_dr~~CalledByGraph_node5" class="node">
<title>proc~writeq_dr</title>
<g id="a_proc~~write_dr~~CalledByGraph_node5"><a xlink:href=".././proc/writeq_dr.html" xlink:title="writeq_dr">
<polygon fill="#d9534f" stroke="#d9534f" points="147,-66 90,-66 90,-42 147,-42 147,-66"/>
<text text-anchor="middle" x="118.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">writeq_dr</text>
</a>
</g>
</g>
<!-- proc~writeq_dr&#45;&gt;interface~writenum -->
<g id="proc~~write_dr~~CalledByGraph_edge4" class="edge">
<title>proc~writeq_dr&#45;&gt;interface~writenum</title>
<path fill="none" stroke="#000000" d="M147.0078,-60.472C155.1727,-62.3257 164.2071,-64.3768 172.8518,-66.3393"/>
<polygon fill="#000000" stroke="#000000" points="172.2186,-69.7846 182.7453,-68.5854 173.7684,-62.9583 172.2186,-69.7846"/>
</g>
<!-- proc~writeq_si -->
<g id="proc~~write_dr~~CalledByGraph_node6" class="node">
<title>proc~writeq_si</title>
<g id="a_proc~~write_dr~~CalledByGraph_node6"><a xlink:href=".././proc/writeq_si.html" xlink:title="writeq_si">
<polygon fill="#d9534f" stroke="#d9534f" points="146,-24 91,-24 91,0 146,0 146,-24"/>
<text text-anchor="middle" x="118.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">writeq_si</text>
</a>
</g>
</g>
<!-- proc~writeq_si&#45;&gt;interface~writenum -->
<g id="proc~~write_dr~~CalledByGraph_edge5" class="edge">
<title>proc~writeq_si&#45;&gt;interface~writenum</title>
<path fill="none" stroke="#000000" d="M136.3349,-24.147C150.0273,-33.4726 169.1446,-46.4931 184.6069,-57.0241"/>
<polygon fill="#000000" stroke="#000000" points="182.9845,-60.1538 193.2198,-62.8903 186.9249,-54.3682 182.9845,-60.1538"/>
</g>
<!-- interface~writeq -->
<g id="proc~~write_dr~~CalledByGraph_node7" class="node">
<title>interface~writeq</title>
<g id="a_proc~~write_dr~~CalledByGraph_node7"><a xlink:href=".././interface/writeq.html" xlink:title="writeq">
<polygon fill="#a7506f" stroke="#a7506f" points="54,-87 0,-87 0,-63 54,-63 54,-87"/>
<text text-anchor="middle" x="27" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">writeq</text>
</a>
</g>
</g>
<!-- interface~writeq&#45;&gt;proc~writeq_sr -->
<g id="proc~~write_dr~~CalledByGraph_edge6" class="edge">
<title>interface~writeq&#45;&gt;proc~writeq_sr</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M44.6421,-87.147C58.1865,-96.4726 77.0971,-109.4931 92.3922,-120.0241"/>
<polygon fill="#000000" stroke="#000000" points="90.6907,-123.102 100.912,-125.8903 94.6604,-117.3364 90.6907,-123.102"/>
</g>
<!-- interface~writeq&#45;&gt;proc~writeq_di -->
<g id="proc~~write_dr~~CalledByGraph_edge7" class="edge">
<title>interface~writeq&#45;&gt;proc~writeq_di</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.453,-81.3007C62.7908,-83.2143 72.0992,-85.3506 80.9799,-87.3888"/>
<polygon fill="#000000" stroke="#000000" points="80.2206,-90.8055 90.7501,-89.6312 81.7865,-83.9829 80.2206,-90.8055"/>
</g>
<!-- interface~writeq&#45;&gt;proc~writeq_dr -->
<g id="proc~~write_dr~~CalledByGraph_edge8" class="edge">
<title>interface~writeq&#45;&gt;proc~writeq_dr</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.453,-68.6993C62.4741,-66.8584 71.3936,-64.8113 79.9663,-62.8438"/>
<polygon fill="#000000" stroke="#000000" points="80.8323,-66.2361 89.796,-60.5878 79.2664,-59.4135 80.8323,-66.2361"/>
</g>
<!-- interface~writeq&#45;&gt;proc~writeq_si -->
<g id="proc~~write_dr~~CalledByGraph_edge9" class="edge">
<title>interface~writeq&#45;&gt;proc~writeq_si</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M44.6421,-62.853C58.1865,-53.5274 77.0971,-40.5069 92.3922,-29.9759"/>
<polygon fill="#000000" stroke="#000000" points="94.6604,-32.6636 100.912,-24.1097 90.6907,-26.898 94.6604,-32.6636"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>